#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <fcntl.h>
#include "symglobl.h"

/* Create a DJGPP-style symlink */
int symlink( const char *path1, const char *path2 )
{
    int handle = creatnew( path2, _A_NORMAL ), len = strlen( path1 );
    char buf[ 510 ], *p = buf;

    if( handle == -1 ) return( -1 );

    setmode( handle, O_BINARY );

    memset( buf, ' ', 510 );

    memcpy( p, __beginsymb, 10 );
    p += 10;
    memcpy( p, path1, len );
    p += len;
    memcpy( p, "\n", 1 );
    p++;
    memcpy( p, __finishsym, 105 );

    if( _write( handle, buf, 510 ) == -1 ) {
        _close( handle );
        return( -1 );
    }

    _close( handle );

    return( 0 );
}

